local helpers = {}
function helpers.split(source, delimiters)
        local elements = {}
        local pattern = '([^'..delimiters..']+)'
        string.gsub(source, pattern, function(value) elements[#elements + 1] =     value;  end);
        return elements
end

function helpers.dump(o,lv)
   lv = (lv or -1) + 1
   if type(o) == 'table' then
      local s = '{\n'
      for k,v in ipairs(o) do         
         s = s .. string.rep('\t',lv+1)..'['..k..'] = ' .. helpers.dump(v,lv) .. ',\n'
      end
      for k,v in pairs(o) do
         if type(k) ~= 'number' then k = '"'..k..'"' 
            s = s .. string.rep('\t',lv+1)..'['..k..'] = ' .. helpers.dump(v,lv) .. ',\n'
         end
      end
      return s .. string.rep('\t',lv)..'}'
   else
      if type(o) == 'string' then return "\""..tostring(o).."\"" end
      return tostring(o)..""
   end
end

return helpers

