local initialized = false
local list = {}
local days = {'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'}
local swdays = {'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'}

function init()
   local x = math.ceil((app.gui.width-280)/2)   
   local grid = app.gui.newGrid(x,80,1,1):setParent(app.gui.root):show()   
   grid.hightlightOnHover = true
   local datepicker = app.gui.newDatePicker(math.ceil((app.gui.width-340)/2),20,340, 20):setParent(app.gui.root):show()


   local max_classes = 0
   
   for i = 1, #app.classes do
       local class = app.classes[i]
       for j = 1, #class.workingdays do
           local day = j+1
            if day == 8 then day = 1 end
           if class.workingdays[day] then
              if class.workingdays[day].order and class.workingdays[day].aud then
                 max_classes = math.max(max_classes, class.workingdays[day].order)
               end
           end
      end
   end


   for i=1,7 do
       for j = 1,max_classes+1 do
           local day = i+1
           if day == 8 then day = 1 end
           if j == 1 then
              --grid:setCellData(i, j, app.strings[days[day]], {40, 40}, nil,   nil,          nil,       {150,150,150})
              local col = {220,220,180}
              if i > 5 then
                 col = {220,180,180}
              end
              grid:setCellData(i, j, app.strings[swdays[day]], {40, 40}, nil,   nil,          nil,       col)
           else
              grid:setCellData(i, j, '', {40, 40}, nil,   nil,          nil,       {150,150,150})
           end
       end
   end
   
   datepicker.panl:hide()
   app.buttons.BackToMainSchedule = app.gui.newButton(x,app.gui.height-80,280,40,  {root = true}):setText(app.strings['Back'], 'center', 'center'):show()
   
   local date = datepicker:getDate()
   local dayn = os.date("%w",date)
   
   for i = 1, #app.classes do
       local class = app.classes[i]
       --print(class.name)
       -- days went from 2 to 8
       -- if i was 8 then day = 1,
       -- so from 1 to 7, starting sunday
       
       for j = 1, #class.workingdays do
           local day = j+1
           if day == 8 then day = 1 end
           --[[print("j="..j,
                 "day="..day,
                 "("..days[day]..")",
                 class.workingdays[day]) ]]
           if class.workingdays[day] then
              if class.workingdays[day].order and class.workingdays[day].aud then
                -- print(j, class.workingdays[day].order , class.name ..'\n'..class.workingdays[day].aud)
                 grid:setCellData(j, class.workingdays[day].order+1 , class.name ..'\n'..class.workingdays[day].aud, {40, 40})
                 grid.cells[j][class.workingdays[day].order+1].bgcol = {220,220,220}
              end
           else 
              --grid:setCellData(j, class.workingdays[day], "", {40, 40}, nil,   nil,          nil,       bghd)
           end
       end
       
   end
   
   function app.buttons.BackToMainSchedule:onClick()
      app:rebuildGui('main') 
   end
      
end

function love.keyreleased(key)
   if key == "escape" then
      app:rebuildGui('main') 
   end
end

function love.update(dt)
   if not initialized then
      init()
      initialized = true
      return
   end
   app.gui:update(dt)
end

function love.draw()
   app.gui:draw()
end